function dis2wave,wheelpos,dis,bin=bin
;Use the grism dispersion relation to compute a wavelength scale from pixel 
; number

caldir = '$CALDB/data/swift/uvota/bcf/grism/'
case wheelpos of 
160: wavefile = caldir + 'swuugrism20041120v102.fits
200: wavefile = caldir + 'swuugrism20041120v102.fits
955:wavefile = caldir + 'swuvgrism20041120v102.fits'
1000: wavefile = caldir + 'swuvgrism20041120v102.fits'
endcase

if N_elements(bin) EQ 0 then bin = 1
tab= mrdfits(wavefile,2,htab)
g = where(tab.clocking Eq wheelpos)
c = tab[g[0]].coeff
if bin NE 1 then c = transform_coeff( c, bin, 0.)

return,poly(dis+1,c)
end
