pro ggrism,phafile,coeff,fwhm
;
if N_params() LT 1 then begin
      print,'Syntax - ggrism, phafile, coeff, fwhm
      return
endif

fdecomp,phafile,disk,dir,fname,ext
if ext EQ '' then ext = 'pha'
file = disk + dir + fname + '.' + ext
fits_open,file,fcb


 fits_read,fcb,tab,htab,exten=2
 fits_read,fcb,im,h,exten=3
 fits_close,fcb

w = tbget(htab,tab,'LAMBDA')
f = tbget(htab,tab,'NET')
flux = tbget(htab,tab,'FLUX')
dim = size(im,/dimen)

filter = strtrim(sxpar(h,'FILTER'),2)
clock = strtrim(sxpar(h,'WHEELPOS'),2)

wmin = min(w)

tabinv,w,wmin,istart
istart = ceil(istart)
wn = dim[0] - N_elements(w)
nfit = N_elements(w)/3
xx = wn+1 + findgen(nfit)*3
gprofile, im, xx,yy, fwhm,wn=wn,coeff=coeff

return
end
